from django.core.management.base import BaseCommand

from src.management.commands.default import (
    delete_graphs,
    GRAPHS
)


class Command(BaseCommand):
    def add_arguments(self, parser):
        parser.add_argument('graph', nargs='+', type=str)
        parser.add_argument('--min', type=int, default=3)
        parser.add_argument('--max', type=int, default=5)

    def handle(self, *args, **options):
        delete_graphs("all")
        graphs = options['graph']
        min = options['min']
        max = options['max']

        component = None
        for graph in graphs:
            component = GRAPHS[graph](component)

        for n in range(min, max + 1):
            for i in range(2 ** (n - 1)):
                binary_number = bin(i)[2:].zfill(n)

                if i >= 2 ** (n - 1) / 2 - 1:
                    break

